// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package data

import (
)

var (
)

type CommandExecutor interface {
	Execute(value any) ([]byte, error)
}

type CommandOutputExtractor interface {
	Extract(output []byte, target any) error
}

type CommandChecker interface {
	Exists() error
}

type Commander interface {
	CommandExecutor
	CommandOutputExtractor
	CommandChecker
}
